Get Many Orders
Returns your organization's orders, newest first. Line items and financial details are available from their own endpoints.
Query Parameters
- page integer required
Page to return. Pages start at
0 - limit integer required
Possible values:
>= 1and<= 500Number of records per page, up to
500 - startCreatedAt date
Only return orders created on or after this date, in
yyyy-mm-ddformat - endCreatedAt date
Only return orders created on or before this date, in
yyyy-mm-ddformat - startUpdatedAt date
Only return orders updated on or after this date, in
yyyy-mm-ddformat - endUpdatedAt date
Only return orders updated on or before this date, in
yyyy-mm-ddformat - startDeliveryDate date
Only return orders delivered on or after this date, in
yyyy-mm-ddformat - endDeliveryDate date
Only return orders delivered on or before this date, in
yyyy-mm-ddformat - status string
Possible values: [
UNSCHEDULED,SCHEDULED,IN_TRANSIT,TRANSFERRING,DELIVERED,DELIVERED_WITH_EDITS,DELAYED,CANCELED,REJECTED,ATTEMPTED]Only return orders with this status
- action string
Possible values: [
DELIVERY_TO_RETAILER,DELIVERY_TO_BRAND,DROPOFF_TO_NABIS,PICKUP_FROM_BRAND,PICKUP_FROM_NABIS,RETURN_FROM_RETAILER,INTERNAL_TRANSFER]Only return orders with this action
- referrer string
Possible values: [
BRAND,RETAILER,PARTNER,MANUFACTURER]Only return orders placed by this kind of organization
- paymentTerms string
Possible values: [
COD,NET_7,NET_10,NET_14,NET_15,NET_21,NET_28,NET_30,NET_45,NET_60,NET_90]Only return orders with these payment terms
- warehouseId uuid
Only return orders fulfilled from this Nabis warehouse
- licensedLocationId uuid
Only return orders for this retailer
- 200
- 400
- 401
- 429
Successful Operation
- application/json
- Schema
Schema
data object[]
id uuidNabis ID of the order
orderNumber integerOrder number shown in the Nabis app and on order documents
name stringName given to the order
action stringPossible values: [
DELIVERY_TO_RETAILER,DELIVERY_TO_BRAND,DROPOFF_TO_NABIS,PICKUP_FROM_BRAND,PICKUP_FROM_NABIS,RETURN_FROM_RETAILER,INTERNAL_TRANSFER]Type of movement the order represents
status stringPossible values: [
UNSCHEDULED,SCHEDULED,IN_TRANSIT,TRANSFERRING,DELIVERED,DELIVERED_WITH_EDITS,DELAYED,CANCELED,REJECTED,ATTEMPTED]Delivery status of the order
referrer stringPossible values: [
BRAND,RETAILER,PARTNER,MANUFACTURER]Kind of organization that placed the order
irn stringRetailer's purchase order (PO/SO) number for the order
orderInventoryStatus stringPossible values: [
ORDERED,PACKED,FULFILLED]Where the order is in the fulfillment process
isSampleDemo booleanWhether the order is a sample or demo order
createdAt date-timeWhen the order was created
updatedAt date-timeWhen the order was last updated
deliveryDate dateScheduled delivery date of the order, in
yyyy-mm-ddformatwarehouseId uuidNabis ID of the warehouse the order is fulfilled from
licensedLocationId uuidNabis ID of the retailer the order is for. See Get Retailer by Nabis ID
licenseId uuidNabis ID of the retailer license used for the order. See Get Retailer Licenses
creatorEmail stringEmail of the user who created the order
assigneeEmail stringEmail of the sales rep assigned to the order
paymentTerms stringPossible values: [
COD,NET_7,NET_10,NET_14,NET_15,NET_21,NET_28,NET_30,NET_45,NET_60,NET_90]When payment is due, relative to delivery.
CODis due on deliverymustPayPriorBalance booleanWhether the retailer must pay their prior balance before the order is delivered
taxInclusivePricing booleanWhether the order's prices include tax
notes stringNotes on the order
nabisManifestNotes stringNotes Nabis added to the order's manifest
manifestLink stringLink to download the order's shipping manifest.
nulluntil a manifest is generatedcontacts object[]
Retailer contacts for the order
id uuidNabis ID of the contact
firstName stringFirst name of the contact
lastName stringLast name of the contact
title stringJob title of the contact
phoneNumber stringPhone number of the contact
email stringEmail of the contact
preferredContactMethod stringPossible values: [
PHONE,EMAIL,TEXT]How the contact prefers to be reached
- page integer
The page returned
- totalCount integer
Total number of records across all pages
- totalNumPages integer
Total number of pages
- nextPage integer
The next page, or
nullon the last page - prevPage integer
The previous page, or
nullon the first page
Invalid request parameters
Invalid API key
Too Many Requests